<?php get_header();?>
<?php get_sidebar();?>

<div id="content">
	<div class="entry_content">
		<?php if ( have_posts()) : ?>

		<h1 class="archiveheader">
		<?php if ( is_day() ) : ?>
		<?php printf(__('Архив по дням: <span>%s</span>', 'glossyred'), get_the_date());?>
		<?php elseif ( is_month() ) :?>
		<?php printf(__('Архив по месяцам: <span>%s</span>', 'glossyred'), get_the_date('F Y'));?>
		<?php elseif ( is_year() ) :?>
		<?php printf(__('Архив по годам: <span>%s</span>', 'glossyred'), get_the_date('Y'));?>
		<?php elseif ( is_author() ) :?>
		<?php _e('Публикации автора:', 'glossyred');?>
		<em>
		<?php the_post();
			echo $authordata -> display_name;
			rewind_posts();
 ?>
		</em>
		<?php elseif ( is_category() ) :?>
		<span class="fl cat">
			<?php _e('Рубрика', 'glossyred');?>:  <?php echo single_cat_title();?>
		</span>
		<span class="fr catrss">
         <a href='<?php echo get_category_link($cat);?>feed/' rel="bookmark"><?php _e('RSS-лента этой рубрики', 'glossyred');?></a>
		</span>
		<?php else :?>
		<?php _e('Метка', 'glossyred');?>:  <?php echo single_tag_title();?>
		<?php endif;?>
		</h1>
		<?php while ( have_posts() ) : the_post(); ?>
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="exerpt">
			<div class="combox">
				<?php comments_popup_link(__('0', 'glossyred'), __('1', 'glossyred'), __('%'));?>
			</div>
			<h1 class="entry-title">
			<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
			<?php the_title();?>
			</a>
			</h1>
			<?php

			if(has_post_thumbnail()) {
				echo '<div class="exerpt_img"><a href="';
				the_permalink();
				echo '">';
				the_post_thumbnail( array(180, 180));
				echo '</a></div>';

			} else {

				$image = get_first_image();
				if($image) :
					echo '<div class="exerpt_img"><a href="';
					the_permalink();
					echo '"><img src="' . $image . '" alt="';
					the_title();
					echo '" /></a></div>';
				endif;
			}
 ?>

			<?php the_excerpt();?>

			<div class="pls_note">
				<div class="more">
					<a class="readmore" href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
					<?php _e('Читать полностью &raquo;', 'glossyred');?>
					</a>
				</div>
				<?php echo get_avatar($comment, 48);?>
				<ul>
					<li class="post-author">
						<?php the_author_posts_link();?> <?php printf(__('%1$s', 'glossyred'), get_the_date());?>
					</li>
					<li class="post-category">
						<?php the_category(', ') ?>
					</li>
                    </ul>
					<?php
$tags_list = get_the_tag_list( '', ', ' );
if ( $tags_list ):
					?>
					<span class="tag-links">
						<?php printf(__('<span class="%1$s"></span> %2$s', 'glossyred'), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list);?>
					</span>
					<?php endif;?>
			</div>
		</div><!-- end .exerpt -->
        </div><!-- end #post -->
		<?php endwhile; else:?>

		<p>
			<?php _e('К сожалению, по вашему запросу ничего не найдено.', 'glossyred') ?>
		</p>
		<?php endif;?>
		<div class="more_entries">
			<?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
			<div class="fl">
				<?php next_posts_link(__('&laquo; Предыдущая страница', 'glossyred')) ?>
			</div>
			<div class="fr">
				<?php previous_posts_link(__('Следующая страница &raquo;', 'glossyred')) ?>
			</div>
			<?php }?>
		</div>
	</div><!-- end div .entry_content -->
</div><!-- end div #content -->
</div><!-- end div #wrapper -->
</div><!-- end div #container -->

<?php get_footer();?>