<?php
if ( ! function_exists( 'glossyred_comment' ) ) :

function glossyred_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<a href="<?php echo get_comment_link(); ?>" title="<?php _e('Прямая ссылка на комментарий', 'glossyred'); ?>"><?php echo get_avatar( $comment, 40 ); ?></a>
			<?php printf( __( '%s <span class="says">пишет:</span>', 'glossyred' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em class="comment-awaiting-moderation"><?php _e( 'Спасибо! Ваш комментарий ожидает проверки.', 'glossyred' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s в %2$s', 'glossyred' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Править)', 'glossyred' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Пинг:', 'glossyred' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Править)', 'glossyred' ), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;
?>
