<?php

// =============================== Twitter widget ======================================  //

function GlossyRed_twitterWidget()
{
	$settings = get_option("widget_glossyred_twitterwidget");

	$twittername = $settings['twittername'];

?>

<div class="widget">
<h3><?php _e('Новые твиты', 'glossyred') ?></h3>
<script type='text/javascript'>
jQuery(document).ready(function(){ jQuery(".tweet").tweet({username: "<?php echo $twittername; ?>",avatar_size: null,count: 3,loading_text: "загружаем твиты..."});});
</script>
<div class="tweet"></div>
</div>

<?php
}

function GlossyRed_twitterWidgetAdmin() {

	$settings = get_option("widget_glossyred_twitterwidget");

	// check if anything's been sent
	if (isset($_POST['update_twitter'])) {
		$settings['twittername'] = strip_tags(stripslashes($_POST['twitter_name']));

		update_option("widget_glossyred_twitterwidget",$settings);
	}

	echo '<p>
			<label for="twitter_name">Ваше имя в Twitter:
			<input id="twitter_name" name="twitter_name" type="text" class="widefat" value="'.$settings['twittername'].'" /></label></p>';
	echo '<input type="hidden" id="update_twitter" name="update_twitter" value="1" />';

}

wp_register_sidebar_widget('widget_glossyred_twitterwidget', 'GlossyRed-Twitter', 'GlossyRed_twitterWidget', array( 'description' => __( 'Добавить новые твиты в боковое меню.', 'glossyred' ) ) );
wp_register_widget_control('widget_glossyred_twitterwidget', 'GlossyRed-Twitter', 'GlossyRed_twitterWidgetAdmin', 400, 200);

// =============================== Subscribe widget ======================================  //

function GlossyRed_subscribeWidget()
{
	$settings = get_option("widget_glossyred_subscribewidget");

	$yourtwittername = $settings['yourtwittername'];
	$feedurl = $settings['feedurl'];

?>
<div class="widget">
<h3><?php _e('Подписка', 'glossyred') ?></h3>
<p><a class="news_feed" href="<?php if ( $feedurl ) { echo $feedurl; } else { echo get_bloginfo_rss('rss2_url'); }  ?>" title="<?php _e('Подписка на RSS', 'glossyred') ?>"></a>
<a class="follow_twitter" href="https://twitter.com/<?php echo $yourtwittername; ?>" title="<?php _e('Мы в Twitter.', 'glossyred') ?>"></a></p>
<div class="clearleft"></div>
</div>

<?php
}

function GlossyRed_subscribeWidgetAdmin() {

	$settings = get_option("widget_glossyred_subscribewidget");

	// check if anything's been sent
	if (isset($_POST['update_subscribe'])) {
		$settings['yourtwittername'] = strip_tags(stripslashes($_POST['yourtwittername']));
		$settings['feedurl'] = strip_tags(stripslashes($_POST['feedurl']));

		update_option("widget_glossyred_subscribewidget",$settings);
	}

	echo '<p>
			<label for="feedurl">Адрес RSS:
			<input id="feedurl" name="feedurl" type="text" class="widefat" value="'.$settings['feedurl'].'" /></label></p>';
	echo '<p>
			<label for="yourtwittername">Имя в Twitter:
			<input id="yourtwittername" name="yourtwittername" type="text" class="widefat" value="'.$settings['yourtwittername'].'" /></label></p>';
	echo '<input type="hidden" id="update_subscribe" name="update_subscribe" value="1" />';

}

wp_register_sidebar_widget('widget_glossyred_subscribewidget', 'GlossyRed-Subscribe', 'GlossyRed_subscribeWidget', array( 'description' => __( 'Displays linked icons with your feed and your twitter-account.', 'glossyred' ) ) );
wp_register_widget_control('widget_glossyred_subscribewidget', 'GlossyRed-Subscribe', 'GlossyRed_subscribeWidgetAdmin',  200, 200);

?>