<?php get_header();?>
<?php get_sidebar();?>

<div id="content">
	<div class="entry_content">
		<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		query_posts("post_type=post&paged=$paged");
 ?>
		<?php if (have_posts()) : $count = 0; ?>
		<?php while (have_posts()) : the_post(); $count++; ?>
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="exerpt <?php if (!get_the_title()) echo 'no-title'; ?>">
			<div class="combox">
				<?php comments_popup_link(__('0', 'glossyred'), __('1', 'glossyred'), __('%'));?>
			</div>
			<h1 class="entry-title">
			<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
			<?php the_title();?>
			</a>
			</h1>
			<?php

			if(has_post_thumbnail()) {
				echo '<div class="exerpt_img"><a href="';
				the_permalink();
				echo '">';
				the_post_thumbnail( array(180, 180));
				echo '</a></div>';

			} else {

				$image = get_first_image();
				if($image) :
					echo '<div class="exerpt_img"><a href="';
					the_permalink();
					echo '"><img src="' . $image . '" alt="';
					the_title();
					echo '" /></a></div>';
				endif;
			}
 ?>

			<?php the_excerpt();?>

			<div class="pls_note">
				<div class="more">
					<a class="readmore" href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
					<?php _e('Читать полностью &raquo;', 'glossyred');?>
					</a>
				</div>
				<?php echo get_avatar($comment, 48);?>
				<ul>
					<li class="post-author">
						<?php the_author_posts_link();?> <?php printf(__('%1$s', 'glossyred'), get_the_date());?>
					</li>
					<li class="post-category">
						<?php the_category(', ') ?>
					</li>
                    </ul>
					<?php
$tags_list = get_the_tag_list( '', ', ' );
if ( $tags_list ):
					?>
					<span class="tag-links">
						<?php printf(__('<span class="%1$s"></span> %2$s', 'glossyred'), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list);?>
					</span>
					<?php endif;?>
			</div>
		</div><!-- end .exerpt -->
        </div><!-- end #post -->
		<?php endwhile; else:?>

		<p>
			<?php _e('К сожалению, по вашему запросу ничего не найдено.', 'glossyred') ?>
		</p>
		<?php endif;?>
		<div class="more_entries">
			<?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
			<div class="fl">
				<?php next_posts_link(__('&laquo; Предыдущая страница', 'glossyred')) ?>
			</div>
			<div class="fr">
				<?php previous_posts_link(__('Следующая страница &raquo;', 'glossyred')) ?>
			</div>
			<?php }?>
		</div>
	</div><!-- end div .entry_content -->
</div><!-- end div #content -->
</div><!-- end div #wrapper -->
</div><!-- end div #container -->

<?php get_footer();?>