<?php get_header();?>
<?php get_sidebar();?>
<div id="content">
	<div class="entry_content">
		<?php if (have_posts()) : $count = 0; ?>
		<?php while (have_posts()) : the_post(); $count++; ?>
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<h1 class="entry-title">
		<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
		<?php the_title();?>
		</a>
		</h1>
		<?php the_content(__('Читать полностью <span class="meta-nav">&rarr;</span>', 'glossyred'));?>
		<?php wp_link_pages( array('before' => '<div class="page-link">' . __('Страницы:', 'glossyred'), 'after' => '</div>'));?>

		<?php if ('open' == $post->comment_status) : ?>
		<?php comments_template();?>
		<?php endif;?>
        </div><!-- end #post -->
		<?php endwhile; else:?>
			<p>
				<?php _e('К сожалению, по вашему запросу ничего не найдено.', 'glossyred') ?>
			</p>
			<?php endif;?>
			<div class="more_entries">
				<?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
				<div class="fl">
					<?php next_posts_link(__('&laquo; Предыдущая страница', 'glossyred')) ?>
				</div>
				<div class="fr">
					<?php previous_posts_link(__('Следующая страница &raquo;', 'glossyred')) ?>
				</div>
				<?php }?>
			</div>
		</div><!-- end div .entry_content -->
	</div><!-- end div #content -->
</div><!-- end div #wrapper -->
</div><!-- end div #container -->

<?php get_footer();?>