<?php get_header();?>
<?php get_sidebar();?>

<div id="content">
	<div class="entry_content">
		<?php if (have_posts()) : $count = 0; ?>
		<h1 class="suchergebnisse">
		<?php _e('Результаты поиска', 'glossyred') ?>:
		<mark>
			<?php printf(the_search_query());?>
		</mark>
		</h1>
		<?php while (have_posts()) : the_post(); $count++; ?>
		<div class="exerpt">
			<div class="combox">
				<?php comments_popup_link(__('0', 'glossyred'), __('1', 'glossyred'), __('%'));?>
			</div>
			<h1 class="entry-title">
			<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
			<?php the_title();?>
			</a>
			</h1>
			<?php

			if(has_post_thumbnail()) {
				echo '<div class="exerpt_img"><a href="';
				the_permalink();
				echo '">';
				the_post_thumbnail( array(180, 180));
				echo '</a></div>';
			} else {
				$image = get_first_image();
				if($image) :
					echo '<div class="exerpt_img"><a href="';
					the_permalink();
					echo '"><img src="' . $image . '" alt="';
					the_title();
					echo '" /></a></div>';
				endif;
			}
			?>
			<?php the_excerpt();?>
			<div class="pls_note">
				<div class="more">
					<a class="readmore" href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
					<?php _e('Читать полностью &raquo;', 'glossyred');?>
					</a>
				</div>
				<?php echo get_avatar($comment, 48);?>
				<ul>
					<li class="post-author">
						<?php the_author_posts_link();?> <?php printf(__('%1$s', 'glossyred'), get_the_date());?>
					</li>
					<li class="post-category">
						<?php the_category(', ') ?>
					</li>
                    </ul>
					<?php
$tags_list = get_the_tag_list( '', ', ' );
if ( $tags_list ):
					?>
					<span class="tag-links">
						<?php printf(__('<span class="%1$s"></span> %2$s', 'glossyred'), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list);?>
					</span>
					<?php endif;?>
			</div>
		</div><!-- end .exerpt -->
		<?php endwhile; else:?>
		<h1 class="suchergebnisse">
		<?php _e('Ваш поиск', 'glossyred') ?>:
		<mark>
			<?php printf(the_search_query());?>
		</mark>
		</h1>
		<p>
			<strong>
			<?php _e('К сожалению, по вашему запросу ничего не найдено.', 'glossyred') ?>
			</strong>
		</p>
		<h4><?php _e('Предложения:', 'glossyred') ?></h4>
		<ul>
			<li>
				<?php _e('Удостоверьтесь, что слово введено без ошибок.', 'glossyred') ?>
			</li>
			<li>
				<?php _e('Попробуйте другое ключевое слово.', 'glossyred') ?>
			</li>
			<li>
				<?php _e('Попробуйте более общее ключевое слово.', 'glossyred') ?>
			</li>
		</ul>
		<?php endif;?>
		<div class="more_entries">
			<?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
			<div class="fl">
				<?php next_posts_link(__('&larr; Предыдущая страница', 'glossyred')) ?>
			</div>
			<div class="fr">
				<?php previous_posts_link(__('Следующая страница &rarr;', 'glossyred')) ?>
			</div>
			<?php }?>
		</div>
	</div><!-- end div .entry_content -->
</div><!-- end div #content -->
</div><!-- end div #wrapper -->
</div><!-- end div #container -->

<?php get_footer();?>
