<?php get_header();?>
<?php get_sidebar();?>
<div id="content">
	<div class="entry_content">
		<?php while ( have_posts() ) : the_post(); ?>
		<div id="post-<?php the_ID();?>" <?php post_class();?>
			>
			<h1 class="entry-title">
			<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title();?>">
			<?php the_title();?>
			</a>
			</h1>
			<div class="pls_note2">
				<span class="post-author2">
					<?php the_author_posts_link();?> <?php printf(__('%1$s', 'glossyred'), get_the_date());?>
				</span>
			</div><!-- end .pls_note2 -->
			<?php the_content();?>
			<div id="footer-note" class="fix">
				<h5>
				<?php _e('Рубрика:', 'glossyred');?>
				</h5>
				<ul>
					<li class="post-category">
						<?php the_category(', ') ?>
					</li>
					<li>
						<?php $tags_list = get_the_tag_list( '', ', ' ); if ( $tags_list ): ?>
						<span class="tag-links">
							<?php printf(__('<span class="%1$s"></span> %2$s', 'glossyred'), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list);?>
						</span>
						<?php endif;?>
					</li>
				</ul>
			</div><!-- end #footer-note -->
			<?php wp_link_pages( array('before' => '<div class="page-link" id="fix">' . __('Страницы:', 'glossyred'), 'after' => '</div><!-- end .page-link -->'));?>
			<?php comments_template('', true);?>
			<?php if ('open' == $post->comment_status) : ?>
			<!-- Do nothing -->
			<?php else : // comments are closed?>
			<!-- If comments are closed. -->
			<p class="commentmessage">
				<?php _e('К сожалению, по вашему запросу ничего не найдено.', 'glossyred') ?>
			</p>
			<?php endif;?>
			<?php endwhile;?>
			<div class="more_entries">
				<?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
				<div class="fl">
					<?php next_posts_link(__('&laquo; Предыдущая страница', 'glossyred')) ?>
				</div>
				<div class="fr">
					<?php previous_posts_link(__('Следующая страница &raquo;', 'glossyred')) ?>
				</div>
				<?php }?>
			</div><!-- end .more_entries -->
		</div><!-- end #post -->
	</div><!-- end div .entry_content -->
</div><!-- end div #content -->
</div><!-- end div #wrapper -->
</div><!-- end div #container -->
<?php get_footer();?>