<?php
/*
 Template Name: Full Width
 */
?>

<?php get_header();?>

<!-- - - - - - - - - - - - - - - - -  Main Content  - - - - - - - - - - - - - - - - - - - - - - - - - -  -->

<div id="container">
	<div id="wrapper_fullwidth">
		<div id="article_fullwidth">
			<div class="entry_content">
				<div id="post-<?php the_ID();?>" <?php post_class();?>>
					<?php if (have_posts()) : $count = 0; ?>
					<?php while (have_posts()) : the_post(); $count++; ?>
					<h1 class="entry-title"><?php the_title();?></h1>
					<?php the_content();?>
					<?php if ('open' == $post->comment_status) : ?>
					<?php comments_template();?>
					<?php endif;?>
					<?php endwhile; else:?>
					<p>
						<?php _e('К сожалению, по вашему запросу ничего не найдено.', 'glossyred') ?>
					</p>
					<?php endif;?>
				</div><!-- end div #post -->
			</div><!-- end div .entry_content -->
		</div><!-- end div #article -->
	</div><!-- end div #wrapper -->
</div><!-- end div #container -->
<?php get_footer();?>